RK-J - Bug #3179

Correct behaviour while overwriting with wrongly formatted book
09/05/2023 05:51 AM - Ram Kordale

Status: Review Start date: 09/05/2023
Priority: Normal Due date:

Assignee: Venmuhilan B % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

| ingested Corey Shafer's Python Beginner's book (actually, this ticket has nothing to do with this book and should be reproduceable
with any book).

Then, i overwrote (without failing option) with a book where the zip file contained a folder that contained all the text files. The book
moved to completed state. However, the book was not overwritten.

Correction needed:

- overwrite should have failed.

- however, current version should not be disturbed.

- we should have a way of correcting the zip file and actually successfully overwriting it.

| am told that a similar problem exists in first time ingestion. Please check and fix this as well.

History

#1 - 09/05/2023 06:38 AM - Ram Kordale

- Description updated

#2 - 09/05/2023 06:38 AM - Ram Kordale

- Assignee set to Venmubhilan B

#3 - 10/04/2023 10:38 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Abhijata Sen

#4 - 10/04/2023 12:53 PM - Abhijata Sen

- Status changed from New to Resolved

#5 - 10/04/2023 12:53 PM - Abhijata Sen
- Status changed from Resolved to Review
- Assignee changed from Abhijata Sen to Venmuhilan B

- % Done changed from 0 to 100
